
filename = 'charky.xlsx';
sheet = 1;

%% BiLog
BiLog_t(:,1) = 0:(pi/36):2*pi;

%ver
BiLog_dB(:,1)  = xlsread(filename, sheet, 'B2:B74');
BiLog_dB(:,2)  = xlsread(filename, sheet, 'C2:C74');
BiLog_dB(:,3)  = xlsread(filename, sheet, 'D2:D74');

%hor
BiLog_dB(:,4)  = xlsread(filename, sheet, 'F2:F74');
BiLog_dB(:,5)  = xlsread(filename, sheet, 'G2:G74');
BiLog_dB(:,6)  = xlsread(filename, sheet, 'H2:H74');

BiLog = db2mag(BiLog_dB);

figure(1)
%ver
subplot(1,2,1)
polar(BiLog_t(:,1), BiLog(:,1), 'r');
hold on, 
polar(BiLog_t(:,1), BiLog(:,2), 'g');
hold on, 
polar(BiLog_t(:,1), BiLog(:,3), 'b' );
set(gcf, 'color', [1 1 1])
set(gca,'FontSize',20)
legend('400 MHz', '1 GHz', '6 GHz')
%title({'Normované smerové charakteristiky BiConiLog antény','Vertikální polarizace'})
title('Vertikální polarizace')

%hor
subplot(1,2,2)
polar(BiLog_t(:,1), BiLog(:,4),  'r');
hold on, 
polar(BiLog_t(:,1), BiLog(:,5), 'g');
hold on, 
polar(BiLog_t(:,1), BiLog(:,6), 'b' );
set(gcf, 'color', [1 1 1])
set(gca,'FontSize',20)
legend('400 MHz', '1 GHz', '6 GHz')
%title({'Normované smerové charakteristiky BiConiLog antény','Horizontální polarizace'});
title('Horizontální polarizace');


%% Horn

Horn_t(:,1) = 0:(pi/36):2*pi;

%ver
Horn_dB(:,1)  = xlsread(filename, sheet, 'K2:K74');
Horn_dB(:,2)  = xlsread(filename, sheet, 'L2:L74');
Horn_dB(:,3)  = xlsread(filename, sheet, 'M2:M74');


%ver
Horn_dB(:,4)  = xlsread(filename, sheet, 'O2:O74');
Horn_dB(:,5)  = xlsread(filename, sheet, 'P2:P74');
Horn_dB(:,6)  = xlsread(filename, sheet, 'Q2:Q74');

Horn = db2mag(Horn_dB);

figure(2)

subplot(1,2,1)
polar(Horn_t(:,1), Horn(:,4), 'r');
hold on, 
polar(Horn_t(:,1), Horn(:,5), 'g');
hold on, 
polar(Horn_t(:,1), Horn(:,6), 'b' );
set(gcf, 'color', [1 1 1])
set(gca,'FontSize',20)
legend('2 GHz', '6 GHz', '18 GHz')
%title({'Normované smerové charakteristiky Horn antény','Horizontální polarizace'});
title('Vertikální polarizace');
set(gca,'FontSize',20)


subplot(1,2,2)
polar(Horn_t(:,1), Horn(:,1), 'r');
hold on, 
polar(Horn_t(:,1), Horn(:,2), 'g');
hold on, 
polar(Horn_t(:,1), Horn(:,3), 'b' );
set(gcf, 'color', [1 1 1])
set(gca,'FontSize',20)
legend('2 GHz', '6 GHz', '18 GHz')
%title({'Normované smerové charakteristiky Horn antény','Vertikální polarizace'});
title('Horizontální polarizace');
set(gca,'FontSize',20)




